title: Update Workflow keywords:
- update workflow
- patch
- update
- workflow
Update a workflow.
workflow_id string required
The workflow id parameter.
name string optional
The name parameter.
description string optional
The description parameter.
definition object optional
Updated workflow definition
is_active boolean optional
Active status
external_id string optional
Flow-plate internal flow ID for correlation
id string
Workflow ID (flow_ prefixed)
organization_id string
Organization ID
name string
Workflow name
description string or null
Workflow description
definition object
Flow-plate workflow JSON
version integer
Workflow version number
is_active boolean
Whether workflow is active
created_at integer
Creation timestamp (Unix)
updated_at integer
Update timestamp (Unix)
created_by string or null
Creator user ID
external_id string or null
Flow-plate flow ID
assistant_id string or null
Linked assistant ID
has_assistant boolean
Whether workflow has Assistant node
- Bash
- Python
- JavaScript
curl -X PATCH "https://api.aitronos.com/v1/workflows/{workflow_id}" \
-H "X-API-Key: $FREDDY_API_KEY" \
-H "Content-Type: application/json"Response:
{
"id": "flow_abc123def456",
"organization_id": "org_abc123def456",
"name": "My Resource",
"description": "A description of the resource",
"definition": {},
"version": 1,
"is_active": true,
"created_at": 1731667800,
"updated_at": 1731667800,
"created_by": "example_created_by",
"external_id": "abc123def456",
"assistant_id": "asst_abc123def456",
"has_assistant": false
}